Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io
Class IOUtils.NullOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.hadoop.io.IOUtils.NullOutputStream

All Implemented Interfaces:
  Closeable, Flushable

Enclosing class:
  IOUtils

    public static class IOUtils.NullOutputStream

extends OutputStream

/dev/null of OutputStreams.

Constructor Summary
`IOUtils.NullOutputStream()`

Method Summary
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.io.OutputStream
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IOUtils.NullOutputStream

    public IOUtils.NullOutputStream()

Method Detail

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(int b)
               throws IOException

  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation